/**
 * DevExtreme (esm/renovation/ui/data_grid/data_grid_views.js)
 * Version: 21.1.0 (build 21075-0317)
 * Build date: Tue Mar 16 2021
 *
 * Copyright (c) 2012 - 2021 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
import {
    createVNode,
    createComponentVNode
} from "inferno";
import {
    BaseInfernoComponent
} from "devextreme-generator/modules/inferno/base_component";
import {
    DataGridViewProps
} from "./common/data_grid_view_props";
import {
    DataGridViewWrapper
} from "./data_grid_view_wrapper";
import {
    gridViewModule
} from "../../../ui/grid_core/ui.grid_core.grid_view";
var {
    VIEW_NAMES: VIEW_NAMES
} = gridViewModule;
var GRIDBASE_CONTAINER_CLASS = "dx-gridbase-container";
export var viewFunction = _ref => {
    var {
        views: views
    } = _ref;
    return createVNode(1, "div", "dx-datagrid ".concat(GRIDBASE_CONTAINER_CLASS), views.map(_ref2 => {
        var {
            name: name,
            view: view
        } = _ref2;
        return createComponentVNode(2, DataGridViewWrapper, {
            view: view
        }, name)
    }), 0)
};
export class DataGridViews extends BaseInfernoComponent {
    constructor(props) {
        super(props);
        this.state = {}
    }
    get views() {
        var views = VIEW_NAMES.map(viewName => {
            var _this$props$instance;
            return null === (_this$props$instance = this.props.instance) || void 0 === _this$props$instance ? void 0 : _this$props$instance.getView(viewName)
        }).filter(view => view);
        return views.map(view => ({
            name: view.name,
            view: view
        }))
    }
    get restAttributes() {
        var _this$props = this.props,
            restProps = _objectWithoutPropertiesLoose(_this$props, ["instance"]);
        return restProps
    }
    render() {
        var props = this.props;
        return viewFunction({
            props: _extends({}, props),
            views: this.views,
            restAttributes: this.restAttributes
        })
    }
}
DataGridViews.defaultProps = _extends({}, DataGridViewProps);
